const mongoose = require('mongoose')
const basicSchema = require('../basicSchema')

const metaSchema = new mongoose.Schema({
  type: String,
  name: String,
  description: String,
  value: String
})

/** Metas are embedded. */
const projectSchema = new mongoose.Schema({
  ...basicSchema.collection,
  meta: [metaSchema]
})

module.exports = mongoose.model('Project', projectSchema)
